glfw_proj = subproject('glfw',  default_options: ['default_library=static', 'b_sanitize=none'])
glfw_dep = glfw_proj.get_variable('glfw_dep')
imgui_proj = subproject('imgui')
imgui_dep = imgui_proj.get_variable('imgui_dep')
glm_proj = subproject('glm')
glm_dep = glm_proj.get_variable('glm_dep')

executable('meshlet_experiment',
  'main.cpp',
  'meshlet_generator.hpp',
  'meshlet_generator.cpp',
  'meshlet_renderer.hpp',
  'meshlet_renderer.cpp',
  contrib_dir / 'glad/glad.c',
  extra_files: ['flat_cull.glsl', 'hierarchical_cull.glsl'],
  include_directories: [engine_incdir, contrib_incdir],
  dependencies: [m_dep, meshoptimizer_dep, glfw_dep, imgui_dep, glm_dep],
  link_with: runtime_lib)